<template>
	<calendar
		:attributes="attributes"
		@update:from-page="fromPage"
		@update:to-page="toPage"
		v-if="this.holidays"
		class="bgColor"
	></calendar>
</template>

<script>
import api from '../api';
export default {
	props: {
		// holidays: { type: Array, required: true }
	},
	name: 'app',
	data() {
		return {
			attributes: [],
			holidays: [],
		};
	},
	methods: {
		fromPage(event) {
			this.$emit('fromPage', event.month);
		},
		toPage(event) {
			this.$emit('toPage', event.month);
		},
	},
	async created() {
		await api.events.getEvents().then(res => {
			this.holidays = res.data.map(event => ({
				name: event.name,
				date: new Date(event.date),
			}));
		});
		this.attributes = this.holidays.map(holiday => ({
			dates: holiday.date,
			highlight: {
				color: 'pink',
				fillMode: 'light',
			},
		}));
		this.attributes.push({
			key: 'today',
			highlight: 'blue',
			dates: new Date(),
		});
	},
};
</script>

<style>
.bgColor {
	background-color: #dfeeea;
	opacity: 1 !important;
	direction: ltr;
}
</style>
